> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# List Coupons

GET https://api.bigcommerce.com/stores/{store_hash}/v2/coupons

Returns a list of *Coupons*. Default sorting is by coupon/discount id, from lowest to highest. You can pass in optional filter parameters. We recommended using `?min_id=x&limit=y` to paginate through a large set of data because it offers better performance.

## Usage Notes

Available types for `type` and `exclude_type` filters:

|Type|
|-|
|`per_item_discount`|
|`percentage_discount`|
|`per_total_discount`|
|`shipping_discount`|
|`free_shipping`|
|`promotion`|

Coupons with `type=promotion` will not populate usable data for the following fields but instead be set to the following default values:

```json
...
amount : 0.0000
min_purchase: 0.0000
applies_to
restricted_to: []
shipping_methods : null
...
```

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/content/marketing/coupons/get-coupons

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Marketing | modify | `store_v2_marketing` | | Marketing | read-only | `store_v2_marketing_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Query parameters

- `id` (string, optional) — Optional filter param. `/api/v2/coupons?id={value}`
- `code` (string, optional) — Optional filter param `/api/v2/coupons?code={value}`
- `name` (string, optional) — Optional filter param `/api/v2/coupons?name={value}`
- `type` (enum, optional) — The type of discount.
  - Allowed values: `per_item_discount`, `percentage_discount`, `per_total_discount`, `shipping_discount`, `free_shipping`, `promotion`
- `min_id` (integer, optional) — Optional filter param `/api/v2/coupons?min_id={value}`
- `max_id` (integer, optional) — Optional filter param`/api/v2/coupons?max_id={value}`
- `page` (double, optional) — Number of pages `/api/v2/coupons?page={number}`
- `limit` (double, optional) — Count per page `/api/v2/coupons?limit={count}`
- `exclude_type` (enum, optional) — Exclude a type of coupon.
  - Allowed values: `per_item_discount`, `percentage_discount`, `per_total_discount`, `shipping_discount`, `free_shipping`, `promotion`

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

## Response

### 200

OK

- `list of coupon_Full`

## Types

### coupon_Full

- `amount` (string, required) — The discount to apply to an order, as either an amount or a percentage. This field’s usage is determined by the coupon `type`. For example, a `type` of + `percentage_discount` would determine a percentage here.
- `applies_to` (CouponBaseAppliesTo, required) — If it is not included in the PUT request, its existing value on the coupon will be cleared. Also required to be set on the POST request
- `code` (string, required) — The coupon code that customers will use to receive their discounts. Value must be unique. Only letters, numbers, white space, underscores, and hyphens are allowed.
- `id` (integer, required) — The coupon's ID. This is a read-only field; do not set or modify its value in a POST or PUT request.
- `name` (string, required) — The name of the coupon. The value must be unique.
- `type` (enum, required)
  - Allowed values: `per_item_discount`, `per_total_discount`, `shipping_discount`, `free_shipping`, `percentage_discount`, `promotion`
- `date_created` (string, optional) — Date Created
- `enabled` (boolean, optional) — If the coupon is enabled, this field’s value is `true`; otherwise, `false`.
- `expires` (string, optional) — Specifies when a coupon expires. Coupons need not have an expiry date – you can also control expiry via + `max_uses` or `max_uses_per_customer`. If you do use this date field, the value must be in RFC 2822 format.
- `max_uses` (integer, optional) — Maximum number of times this coupon can be used.
- `max_uses_per_customer` (integer, optional) — Maximum number of times each customer can use this coupon.
- `min_purchase` (string, optional) — Specifies a minimum value that an order must have before the coupon can be applied to it.
- `num_uses` (integer, optional) — Number of times this coupon has been used. This is a read-only field; do not set or modify its value in a POST or PUT request.
- `restricted_to` (CouponBaseRestrictedTo, optional)
- `shipping_methods` (list of string, optional) — This is a list of shipping-method names. A shipping method must be enabled on the store to use it with a coupon. To check which shipping methods are enabled, please use the [List Shipping Methods](/developer/docs/archive/store-operations/v2-catalog-products/v2-products#list-shipping-methods) endpoint.

### CouponBaseAppliesTo

If it is not included in the PUT request, its existing value on the coupon will be cleared. Also required to be set on the POST request

- `ids` (list of integer, optional) — ID of either the products or categories
- `entity` (string, optional) — What the discount applies to. Can be products or categories.

### CouponBaseRestrictedTo

- `countries` (string, optional)

## Examples

**Response**

```json
[
  {
    "amount": "5.0000",
    "applies_to": {
      "ids": [
        0
      ],
      "entity": "categories"
    },
    "code": "S2549JM0Y",
    "id": 1,
    "name": "$5 off",
    "type": "per_total_discount",
    "date_created": "Tue, 13 Mar 2018 16:18:59 +0000",
    "enabled": true,
    "expires": "",
    "max_uses": 0,
    "max_uses_per_customer": 0,
    "min_purchase": "0.0000",
    "num_uses": 2,
    "restricted_to": {},
    "shipping_methods": []
  },
  {
    "amount": "5.0000",
    "applies_to": {
      "ids": [
        0
      ],
      "entity": "categories"
    },
    "code": "E3JC79S0I",
    "id": 2,
    "name": "Limit by Location",
    "type": "per_total_discount",
    "date_created": "Tue, 12 Jun 2018 20:22:19 +0000",
    "enabled": true,
    "expires": "",
    "max_uses": 25,
    "max_uses_per_customer": 0,
    "min_purchase": "25.0000",
    "num_uses": 0,
    "restricted_to": {
      "countries": "AU"
    },
    "shipping_methods": [
      "shipping_endicia"
    ]
  }
]
```

**SDK Code**

```python Response
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v2/coupons"

headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Response
const url = 'https://api.bigcommerce.com/stores/store_hash/v2/coupons';
const options = {
  method: 'GET',
  headers: {Accept: 'application/json', 'X-Auth-Token': '<apiKey>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v2/coupons"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Response
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v2/coupons")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.bigcommerce.com/stores/store_hash/v2/coupons")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.bigcommerce.com/stores/store_hash/v2/coupons', [
  'headers' => [
    'Accept' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Response
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v2/coupons");
var request = new RestRequest(Method.GET);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Response
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v2/coupons")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```